ProyectoCrm/src/app/Modulos/HomeModulo/Paginas/fw-home-pedidos/fw-home-pedidos.page.html

<app-fw-home-pedidos-totales [Cantidad]="tCantidadPedidos" [Total]="tTotalPedidos" [Empresa]="tEmpresaActual" [DatosBarra]="tDatosBarrasTipo"></app-fw-home-pedidos-totales>
<div class="form-row pt-4">
  <div class="Pedidos">
    <div class="Pedidos--Cabecera">
      <div class="col-1"></div>
      <div class="col-4">
        <h6 class="Pedidos--Cabecera-ColumnaEtiqueta">Pedido</h6>
      </div>
      <div class="col-2">
        <h6 class="Pedidos--Cabecera-ColumnaEtiqueta">Estatus</h6>
      </div>
      <div class="col-2">
        <h6 class="Pedidos--Cabecera-ColumnaEtiqueta">Cantidad</h6>
      </div>
      <div class="col-2">
        <h6 class="Pedidos--Cabecera-ColumnaEtiqueta">Total</h6>
      </div>
      <div class="col-1"></div>
    </div>
    <div class="Pedidos--Detalles">
      <ng-container *ngFor="let tPedido of tPedidos | slice: (tPaginaOrdenes-1) * tTamanoPagOrdenes : (tPaginaOrdenes-1) * tTamanoPagOrdenes + tTamanoPagOrdenes; let jv = index">
        <app-fw-home-pedidos-lista [Pedido]="tPedido" (Aprobar)="Aprobar($event)" (Cerrar)="Cerrar($event)" (Descargar)="Descargar_Reportes_Pedido($event)"></app-fw-home-pedidos-lista>
      </ng-container>
    </div>
    <div class="Pedidos--Paginacion">
      <div class="col-12">
        <ngb-pagination class="d-flex justify-content-end" [collectionSize]="tPedidos.length" [(page)]="tPaginaOrdenes" aria-label="Default pagination" [pageSize]="tTamanoPagOrdenes" size="sm"></ngb-pagination>
      </div>
    </div>
  </div>
</div>

ProyectoCrm/src/app/Modulos/HomeModulo/Paginas/fw-home-pedidos/fw-home-pedidos.page.pug
app-fw-home-pedidos-totales([Cantidad]="tCantidadPedidos",
  [Total] = "tTotalPedidos",
  [Empresa]="tEmpresaActual",
  [DatosBarra]="tDatosBarrasTipo")
div.form-row.pt-4
  div.Pedidos
    div.Pedidos--Cabecera
      div.col-1
      div.col-4
        h6.Pedidos--Cabecera-ColumnaEtiqueta Pedido
      div.col-2
        h6.Pedidos--Cabecera-ColumnaEtiqueta Estatus
      div.col-2
        h6.Pedidos--Cabecera-ColumnaEtiqueta Cantidad
      div.col-2
        h6.Pedidos--Cabecera-ColumnaEtiqueta Total
      div.col-1
    div.Pedidos--Detalles
      ng-container(*ngFor="let tPedido of tPedidos | slice: (tPaginaOrdenes-1) * tTamanoPagOrdenes : (tPaginaOrdenes-1) * tTamanoPagOrdenes + tTamanoPagOrdenes; let jv = index")
        app-fw-home-pedidos-lista([Pedido]="tPedido",
                                  (Aprobar)="Aprobar($event)",
                                  (Cerrar)="Cerrar($event)",
                                  (Descargar)="Descargar_Reportes_Pedido($event)")
    div.Pedidos--Paginacion
      div.col-12
        ngb-pagination([collectionSize]="tPedidos.length",
            [(page)]="tPaginaOrdenes",
            aria-label="Default pagination",
            [pageSize]="tTamanoPagOrdenes",
            size="sm").d-flex.justify-content-end
